Package com.sun.mail.handlers

## Class handler_base

- java.lang.Object
- - com.sun.mail.handlers.handler_base

All Implemented Interfaces:
  `javax.activation.DataContentHandler`

Direct Known Subclasses:
  `image_gif`, `message_rfc822`, `multipart_mixed`, `text_plain`

    public abstract class handler_base
    extends java.lang.Object
    implements javax.activation.DataContentHandler

Base class for other DataContentHandlers.

### Constructor Summary

Constructors
`handler_base()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected java.lang.Object` `getData​(javax.activation.ActivationDataFlavor aFlavor, javax.activation.DataSource ds)` Given the flavor that matched, return the appropriate type of object.
`protected abstract javax.activation.ActivationDataFlavor[]` `getDataFlavors()` Return an array of ActivationDataFlavors that we support.
`java.lang.Object` `getTransferData​(java.awt.datatransfer.DataFlavor df, javax.activation.DataSource ds)` Return the Transfer Data of type DataFlavor from InputStream.
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()` Return the DataFlavors for this `DataContentHandler`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.activation.DataContentHandler

`getContent, writeTo`

### Constructor Detail

#### handler_base

    public handler_base()

### Method Detail

#### getDataFlavors

    protected abstract javax.activation.ActivationDataFlavor[] getDataFlavors()

Return an array of ActivationDataFlavors that we support. Usually there will be only one.

Returns:
  array of ActivationDataFlavors that we support

#### getData

    protected java.lang.Object getData​(javax.activation.ActivationDataFlavor aFlavor,
                                       javax.activation.DataSource ds)
                                throws java.io.IOException

Given the flavor that matched, return the appropriate type of object. Usually there's only one flavor so just call getContent.

Parameters:
  `aFlavor` - the ActivationDataFlavor
  `ds` - DataSource containing the data
Returns:
  the object
Throws:
  `java.io.IOException` - for errors reading the data

#### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

Return the DataFlavors for this `DataContentHandler`.

Specified by:
  `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`
Returns:
  The DataFlavors

#### getTransferData

    public java.lang.Object getTransferData​(java.awt.datatransfer.DataFlavor df,
                                            javax.activation.DataSource ds)
                                     throws java.io.IOException

Return the Transfer Data of type DataFlavor from InputStream.

Specified by:
  `getTransferData` in interface `javax.activation.DataContentHandler`
Parameters:
  `df` - The DataFlavor
  `ds` - The DataSource corresponding to the data
Returns:
  the object
Throws:
  `java.io.IOException` - for errors reading the data